# T38_Type_of_msg Class Reference

`#include <t38.h>`

List of all members.

## Public Types

enum | Choices { e_t30_indicator, e_data }

## Public Member Functions

| T38_Type_of_msg (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator T38_Type_of_msg_t30_indicator & ()
| operator const T38_Type_of_msg_t30_indicator & () const
| operator T38_Type_of_msg_data & ()
| operator const T38_Type_of_msg_data & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum T38_Type_of_msg::Choices

Enumerator:

  e_t30_indicator |
  e_data |

## Constructor & Destructor Documentation

T38_Type_of_msg::T38_Type_of_msg | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

T38_Type_of_msg::operator T38_Type_of_msg_t30_indicator & | ( |  | ) |

T38_Type_of_msg::operator const T38_Type_of_msg_t30_indicator & | ( |  | ) | const

T38_Type_of_msg::operator T38_Type_of_msg_data & | ( |  | ) |

T38_Type_of_msg::operator const T38_Type_of_msg_data & | ( |  | ) | const

PBoolean T38_Type_of_msg::CreateObject | ( |  | ) |

PObject* T38_Type_of_msg::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- t38.h